
Foreman - Bug #2553

API does not allow admin flag to be set

05/23/2013 09:39 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: API   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We are unable to set admin flag via API.

Related info in:

http://projects.theforeman.org/issues/show/2401

https://bugzilla.redhat.com/show_bug.cgi?id=965790

https://github.com/theforeman/foreman/pull/563

Related issues:

Related to Foreman - Bug #2401: Unable to create new user Closed 04/15/2013

Associated revisions

Revision 7fab6ba6 - 05/24/2013 04:46 AM - Ivan Necas

fixes #2553 let setting admin attribute on user creation

Revision 845aaa34 - 05/28/2013 12:10 PM - Ivan Necas

fixes #2553 let setting admin attribute on user creation

(cherry picked from commit 7fab6ba6c7e6085bee5149953aa52a59d83e62f4)

History

#1 - 05/24/2013 05:07 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/563

#2 - 05/24/2013 05:17 AM - Ivan Necas

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7fab6ba6c7e6085bee5149953aa52a59d83e62f4.
